import * as admin from 'firebase-admin'
import Firestore = FirebaseFirestore.Firestore;

class Database {
  private readonly db

  constructor() {
    const appOptions = this.getAppOptions()
    const app = admin.initializeApp(appOptions)
    this.db = app.firestore()
  }

  getDb(): Firestore {
    return this.db
  }

  getAppOptions(): admin.AppOptions {
    // for local testing
    let projectId = process.env.GCP_PROJECT
    if (!projectId) {
      projectId = 'ocf-integration-test'
      console.log(`no GCP_PROJECT set! using project for local testing: ${projectId}`)
    }
    return { projectId }
  }

}

export const database = new Database()
