"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.FirestoreClientMock = void 0;
class FirestoreClientMock {
    constructor() {
        this.registry = new Map();
    }
    getCollection(collectionName, optionalFields = []) {
        if (!this.registry.has(collectionName)) {
            this.registry.set(collectionName, {
                "documentExists": jest.fn(),
                "getDocument": jest.fn(),
                "setDocument": jest.fn(),
                "addDocument": jest.fn(),
                "updateDocument": jest.fn(),
                "deleteDocument": jest.fn(),
                "setDocumentInTransaction": jest.fn(),
                "executeQuery": jest.fn(),
                "bulkSet": jest.fn(),
                "getDocumentsById": jest.fn(),
                "startQuery": jest.fn(),
                "getQueryResult": jest.fn(),
                "getSubCollection": jest.fn(),
                "listDocuments": jest.fn()
            });
        }
        return this.registry.get(collectionName);
    }
    runTransaction(updateFunction, transactionOptions) {
        return updateFunction.call("", {});
    }
}
exports.FirestoreClientMock = FirestoreClientMock;
//# sourceMappingURL=FirestoreClientMock.js.map